package com.jeeplus.business.borrow.service.dto;

import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
public class BorrowDTO extends BaseEntity {
    //借款编号（字典值）
    public static final String BIZ_CODE = "38";

    /**
     * 编号
     */
    private String no;

    /**
     * 借款理由
     */
    private String reason;

    /**
     * 借款金额大小写
     */
    private String moneyLower;
    private String money;

    /**
     * 实际借款金额
     */
    private String finalMoney;

    /**
     * 流程
     */
    private String procInsId;
    private String processDefinitionId;
    private String taskId;

    /**
     * 状态
     */
    private String status;

    /**
     * 部门名称
     */
    private String officeName;
    private String officeId;

    //借款人
    private String createName;

    //借款时间
    private String[] createDates;

    //对冲金额(还款金额)
    private String refundLower;
    private String refund;

    //借款金额
    private String[] borrowAmounts;

    //还款id
    private String refundId;

    //还款流程
    private String procInsIdRefund;
    private String procDefIdRefund;
    private String taskIdRefund;

    //还款状态
    private String refundStatus;

}
