package com.jeeplus.business.inscription.service.dto;

import com.jeeplus.business.project.domain.JyProject;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.List;

@Data
public class InscriptionDTO extends BaseEntity {

    /**
     * 关联项目
     */
    private String projectId;
    private String projectName;
    private List<JyProject> projectList;

    /**
     * 黑白页数量
     */
    private Integer normalPage;

    /**
     * 彩页数量
     */
    private Integer colorPage;

    /**
     * 装订数量
     */
    private Integer bookbindingNum;

    /**
     * 其他
     */
    private Integer otherNum;

    /**
     * 文印内容
     */
    private String content;

    /**
     * 部长
     */
    private String minister;

    /**
     * 核准人
     */
    private String examiner;

    //批准人
    private String approver;

    //流程
    private String procInsId;
    private String processDefinitionId;
    private String taskId;

    //状态
    private String status;

    //申请人部门
    private String officeId;
    private String officeName;
    private String createName;

    //申请时间
    private String[] createDates;

    private List<WorkAttachmentInfo> files;

    //总页数
    private Integer pageTotal;


}
